# nodeJS SDK Changelog

#### v1.4.17 (26.05.2026.) <a href="#mfgfl" id="mfgfl"></a>

> :purple\_circle: **Fixed**
>
> Typo for loading a missing license file

> :red\_circle: **Removed**
>
> Recursive deleting of the license root folder after license deletion

#### v1.4.16 (24.03.2026.) <a href="#mfgfl" id="mfgfl"></a>

> :purple\_circle: **Fixed**
>
> Fixed issue caused by NODE\_ENV value breaking the default values for License Manager and License API

#### v1.4.9 (24.02.2026.) <a href="#bu1yw" id="bu1yw"></a>

> :blue\_circle: **Added**\
> Implemented floating feature borrowing (`featureBorrow`)

> :blue\_circle: **Added**
>
> Added device variables to offline deactivation payload in Manager `createOfflineDeactivationPayload`

#### v1.4.7 (18.02.2026.) <a href="#bu1yw" id="bu1yw"></a>

> :blue\_circle: **Added**
>
> Added activation\_date to license files

> :blue\_circle: **Added**
>
> Added SSO support for floating borrow

> :blue\_circle: **Added**
>
> Added installation\_file object to license activation response

> :purple\_circle: **Fixed**
>
> Fixed a consumption-syncing bug in LicenseManager.checkLicense

#### v1.4.5 (19.12.2025.)

> :blue\_circle: **Added**
>
> Added automatic consumption sync when calling LicenseManager.checkLicense

> :blue\_circle: **Added**
>
> Added optional redirect\_uri for SSO authentication

> :purple\_circle: **Fixed**
>
> Fixed a bug with the License.deactivateOffline method

<details>

<summary>v1.4.0, 28.11.2025</summary>

* Fixed: Fixed a bug with device variables not being saved
* Fixed: Fixed a bug where a hwID check was being overriden for a copied license file
* Fixed: Fixed a bug where feature local check was incorrectly comparing consumption values
* Fixed: Fixed a bug where feature release was calling the wrong endpoint
* Fixed: Fixed a license file parsing bug

</details>

<details>

<summary>v1.3.11, 02.10.2025</summary>

* Added: Implemented Floating Server v2 API
* Fixed: Fixed a bug with parsing airgap activation responses

</details>

<details>

<summary>v1.2.0, 10.07.2025</summary>

* Added: Implemented support for bundle actions and bundle license files
* Added: Added support for hardware ID override to LicenseAPI and LicenseManager classes
* Fixed: Fixed license status not being saved when license check fails

</details>

<details>

<summary>v1.1.18, 10.06.2025</summary>

* Fixed: Fixed `License.isFloatingExpired` check

</details>

<details>

<summary>v1.1.17, 20.05.2025</summary>

* Added: Implemented support for OAuth
* Added: Implemented call and error logging
* Fixed: Fixed license refresh file parsing for company code

</details>

<details>

<summary>v1.1.14, 07.04.2025</summary>

* Added: Implemented offline activation file functionality
* Fixed: Fixed a bug for http proxies in the internal proxy library

</details>

<details>

<summary>v1.0.10, 20.03.2025</summary>

* Fixed: Fixed a proxy bug in the internal proxy library

</details>

<details>

<summary>v1.0.9, 26.02.2025</summary>

* Added: Support for proxy configuration

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/sdks/node.js-sdk/nodejs-sdk-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
